Subject: Re: Content encoding and MS Word ...

From: Julian Reschke <[email-masked]>
Date: Fri, 04 Mar 2005 10:13:20 +0100

[email-masked] wrote:
> Hi,
> 
> in a project using Slide/Tamino which I am coaching, XHTML documents are
> stored using MS Word, where it is important to know the encoding of the
> content. Unfortunately, MS Word 2003 does *not* sent the encoding in the
> Content-Type header like:
> 
> 	Content-Type: text/html; charset=windows-1252
> 
> but only sends the mime-type. As a consequence, the encoding is not
> available as part of the value of the DAV:getcontenttype property.
> 
> Has anybody an idea how to make MS Word sending the encoding?
> 
> Thanks & regards,
> Peter
> 
> P.S.: As a workaround, I have written a servlet filter to "correct
> Word's fault" ... but possibly there is a better solution?

As nobody else responded...: no, I'm not aware of any way to fix this. I 
think this is a bug (unless the document encoding used by Word indeed is 
the default defined for text/html over HTTP; is it?).

Best regards, Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760